// include "initialize.js"

function main()
{
    var btn = document.getElementById('startBtn');
    document.body.removeChild(btn);
    initializeDocument();
    gl = initializeWebGL();
    audio = initializeMusicFromFile('song.wav');
    beginRendering(gl, audio);
}

function createButton()
{
    var btn = document.createElement('BUTTON');
    btn.id = 'startBtn';
    btn.style.position = 'absolute';
    btn.style.width = '100%';
    btn.style.height = '100%';
    btn.style.fontSize = '200px';
    btn.style.top = 0;
    btn.style.left = 0;
    btn.onclick = main;
    btn.innerHTML = 'CLICK TO BEGIN';

    document.body.appendChild(btn);
}

createButton();
